%define dataversion 0.61

Summary:	Racing game based on Tux Racer
Name:		wherever-racer
Version:	0.1
Release:	%mkrel 11
License:	GPLv2+
Group:		Games/Sports
URL:		http://linuxprocess.tuxfamily.org/
Source:		%{name}-src-%{version}.tgz
Source1:	%{name}-data-%{version}.tgz
Source2:	%{name}-addon-%{version}.tgz
Source3:	%{name}-16x16.png
Source4:	%{name}-32x32.png
Source5:	%{name}-48x48.png
Patch0:		%{name}-0.1-gcc33.patch
Patch1:		%{name}-0.1-config.patch
Patch2:		%{name}-0.1-ia64.patch
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libx11-static-devel
BuildRequires:	libxi-devel
BuildRequires:	libxmu-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	mesaglu-devel
BuildRequires:	tcl
BuildRequires:	tcl-devel
BuildRequires:	texinfo
Conflicts:	tuxracer
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Wherever Racer is a simple OpenGL-based racing game featuring Tux.
The object of the game is to slide down a snow- and ice-covered mountain as
quickly as possible, avoiding the trees and rocks that will slow you down.
It is based on OpenRacer, a fork of Tux Racer, and offers the ability
to use themes, such as golf or open (set it in your ~/.tuxracer/options).

%prep

%setup -q -a 1 -a 2 -n tuxracer-%{dataversion}
%patch0 -p1 -b .gcc3.3
%patch1 -p1 -b .config
%patch2 -p1 -b .ia64

%build
# don't use -Wall, I am *not* fixing warnings in years old obsolete
# code... - AdamW 2008/01
sed -i -e 's,-Wall,,g' configure

%configure2_5x --with-tcl-libs=%{_libdir} --with-data-dir=%{_gamesdatadir}/tuxracer/
%make

%install
rm -fr %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir}

install -d %{buildroot}/%{_gamesdatadir}/tuxracer/

# get rid of .DS_Store Files created by Mac OS X Finder
rm -f tuxracer-data-%{dataversion}/courses/contrib/*/.DS_Store

tar c -C tuxracer-data-%{dataversion} . | tar x -C %{buildroot}/%{_gamesdatadir}/tuxracer/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Wherever Racer
Comment=A great racing game starring Tux
Exec=soundwrapper %{_gamesbindir}/tuxracer
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

chmod -R a+rX %{buildroot}/%{_gamesdatadir}/tuxracer/ 

install -m644 %{SOURCE3} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE4} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE5} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean
rm -fr %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README contrib
%doc %{_gamesdatadir}/tuxracer/README
%{_gamesbindir}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_gamesdatadir}/tuxracer/
%{_iconsdir}/hicolor/*/apps/%{name}.png



%changelog
* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1-11mdv2010.0
+ Revision: 445779
- rebuild

* Mon Mar 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-10mdv2009.1
+ Revision: 362747
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-9mdv2009.0
+ Revision: 268079
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-7mdv2009.0
+ Revision: 255949
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.1-5mdv2008.1
+ Revision: 151800
- add missing buildrequires libxi-devel and libxmu-devel (without them the tcl test program used during ./configure fails)
- x86-64 fixes: use --with-tcl-dir parameter to configure (or else it can't find TCL), disable use of -Wall (compiling on x86-64 throws a few warnings and I'm not going to fix warnings in ancient code just to make -Wall happy...)
- "fix" the SDL_mixer build dep for tpg's bogus change to that package
- rebuild for new tcl/tk
- simplify the insane file list
- fd.o icons
- new license policy
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - fix mesaglu-devel BR
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Emmanuel Andry <eandry@mandriva.org>
    - Import wherever-racer



* Fri Aug 25 2006 Olivier Blin <blino@mandriva.com> 0.1-4mdv2007.0
- fix buildrequires
- xdg menu

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.1-2mdk 
- rebuild for new gcc

* Sun Sep 14 2003 Olivier Blin <oliv.blin@laposte.net> 0.1-1mdk
- firt Mandrake release
- start from tuxracer spec file
- borrow ia64 and config patches from tuxracer package
- gcc3.3 patch (figured out too late it was already done for tuxracer)
